Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.documents.controls
Class GsDocControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,Folder>
          com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl<T>
              com.bea.apps.groupspace.controls.generic.CM_ControlImpl<GsDoc>
                  com.bea.apps.groupspace.documents.controls.GsDocControlImpl

All Implemented Interfaces
  CM_Control<GsDoc>, ContentControlBase<GsDoc,Folder>, GroupSpaceContentControl<GsDoc>, GsDocControl, Serializable

    public class GsDocControlImpl

extends CM_ControlImpl<GsDoc>
implements GsDocControl, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`ccCmxControl, folderControl, topNode, topNodeName`

Fields inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`ALL_TYPES, contentContext`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, nodeManager, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`GsDocControlImpl()`

Method Summary
`GsDoc` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String keyword, String docType, byte[] attachment, ID parentId, ID[] relatedNodes)`
`GsDoc` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String keyword, String docType, String attachmentName, long attachmentSizeInBytes, byte[] attachment, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`protected GsDoc` | `createObject(Node node)` We're creating Links from a Node
`ObjectClass` | `createType()`
`InputStream` | `getAttachment(GsDoc attachment)`
`void` | `onCreate()` Put any other init params here.

Methods inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`createFolder, getCommunityFolderNode, getDefaultFolder, getFolderByExpression, getPersonalContentFolder, getTopNode, getUserFolder`

Methods inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`asSet, createFolder, findByDescription, findById, findByTitle, findContentById, findMany, getAll, getAllNodes, getCommunity, getCommunityAndPrivate, getCommunityFolder, getFolder, getImmediateChildrenAsPagedResult, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, move, promoteToCommunity, remove, removeAll, removeCommunityAndPrivate, removePersonal, removePrivate, update`

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`createObjectClass, createObjects, createObjects, findMany, findManyChildren, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, recurseRepository, remove, remove, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### GsDocControlImpl

    public GsDocControlImpl()

Method Detail

### create

    public GsDoc create(String title,
                        String description,
                        CommunityContent.Visibility visibility,
                        String author,
                        String keyword,
                        String docType,
                        byte[] attachment,
                        ID parentId,
                        ID[] relatedNodes)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException

  Specified by:
    `create` in interface `GsDocControl`
    `parentId` - Is only relevant for Community and Private visibilties
  Returns
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `NoSuchNodeException`

### create

    public GsDoc create(String title,
                        String description,
                        CommunityContent.Visibility visibility,
                        String author,
                        String keyword,
                        String docType,
                        String attachmentName,
                        long attachmentSizeInBytes,
                        byte[] attachment,
                        ID parentId,
                        ID[] relatedNodes,
                        Set<CmxControl.PropertyPair> dynamicProps)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException

  Specified by:
    `create` in interface `GsDocControl`
    `parentId` - Is only relevant for Community and Private visibilties
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<GsDoc,Folder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### getAttachment

    public InputStream getAttachment(GsDoc attachment)
                              throws RepositoryException,
                                     AuthorizationException

  Specified by:
    `getAttachment` in interface `GsDocControl`
  Throws
    `RepositoryException`
    `AuthorizationException`

### createObject

    protected GsDoc createObject(Node node)

  We're creating Links from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<GsDoc,Folder>`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Overrides:
    `onCreate` in class `CM_ControlImpl<GsDoc>`
  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved